odbc_pconnect
odbc_primarykeys
ODBC Functions
PHP Manual

# odbc_prepare

(PHP 4, PHP 5)

odbc_prepare — Prepares a statement for execution

### Description

resource odbc_prepare ( resource `$connection_id` , string `$query_string` )

Prepares a statement for execution. The result identifier can be used later to execute the statement with odbc_execute().

Some databases (such as IBM DB2, MS SQL Server, and Oracle) support stored procedures that accept parameters of type IN, INOUT, and OUT as defined by the ODBC specification. However, the Unified ODBC driver currently only supports parameters of type IN to stored procedures.

### Parameters

`connection_id`

  The ODBC connection identifier, see odbc_connect() for details.

`query_string`

  The query string statement being prepared.

### Return Values

Returns an ODBC result identifier if the SQL command was prepared successfully. Returns `FALSE` on error.

### Examples

Example #1 odbc_execute() and odbc_prepare() example

In the following code, $success will only be `TRUE` if all three parameters to myproc are IN parameters:

`<?php
$a = 1;
$b = 2;
$c = 3;
$stmt = odbc_prepare($conn, 'CALL myproc(?,?,?)');
$success = odbc_execute($stmt, array($a, $b, $c));
?>`

If you need to call a stored procedure using INOUT or OUT parameters, the recommended workaround is to use a native extension for your database (for example, mssql for MS SQL Server, or oci8 for Oracle).

### See Also

- odbc_execute() - Execute a prepared statement

odbc_pconnect
odbc_primarykeys
ODBC Functions
PHP Manual